#ifndef platformH
#define platformH

#include <pic18.h>

#define OSC_FREQ 3276800L

typedef unsigned char BYTE;
typedef unsigned int WORD;
typedef unsigned long DWORD;


/* byte order macros, use on constant side when doing comparison */
#define HTONS(x) ((((x)&0xff)<<8) | ((x)>>8))
#define HTONL(x) ((((x)&0xff)<<24) | (((x)&0x00ff0000l)>>8) | (((x)&0x0000ff00l)<<8) | ((x)>>24))

#define NTOHS HTONS
#define NTOHL HTONL


#endif
