#include "platform.h"

#include "timer.h"
#include "leddisp.h"

void interrupt isr(void)
{  
  unsigned int tmr1;
  if (TMR1IE && TMR1IF) {
    tmr1=TMR1L;
    tmr1|=TMR1H<<8;
    tmr1+=TMR1_PRELOAD;
    TMR1H=tmr1>>8;
    TMR1L=tmr1&0xff;
    systimer++;
    TMR1IF=0;

    disp_proc();
  }
}
