#ifndef tcpH
#define tcpH

#include "platform.h"


/* TCP header structure */
struct tcp_header {
  WORD sourceport;
  WORD destport;
  DWORD seqnum;
  DWORD acknum;
  BYTE dataoffset;
  BYTE flags;
  WORD window;
  WORD checksum;
  WORD urgpointer;
  BYTE tail[];
};


struct tcp_socket {

  /* connection identification */
  WORD localport;
  WORD remoteport;
  WORD remoteip;
  
  /* connection state */  
};


extern void tcp_in(struct ip_header *iph, unsigned int len);


#endif
